Index: uspace/srv/net/tl/tcp/tcp_header.h
===================================================================
--- uspace/srv/net/tl/tcp/tcp_header.h	(revision ede63e47763744e7b1eba0111fb300543d072dc9)
+++ uspace/srv/net/tl/tcp/tcp_header.h	(revision 771599490c9c1e7f468c40fc138f10e8ac0282dc)
@@ -43,15 +43,15 @@
 /** TCP header size in bytes.
  */
-#define TCP_HEADER_SIZE			sizeof( tcp_header_t )
+#define TCP_HEADER_SIZE			sizeof(tcp_header_t)
 
 /** Returns the actual TCP header length in bytes.
  *  @param[in] header The TCP packet header.
  */
-#define TCP_HEADER_LENGTH( header )		(( header )->header_length * 4u )
+#define TCP_HEADER_LENGTH(header)		((header)->header_length * 4u)
 
 /** Returns the TCP header length.
  *  @param[in] length The TCP header length in bytes.
  */
-#define TCP_COMPUTE_HEADER_LENGTH( length )		(( uint8_t ) (( length ) / 4u ))
+#define TCP_COMPUTE_HEADER_LENGTH(length)		((uint8_t) ((length) / 4u))
 
 /** Type definition of the transmission datagram header.
@@ -90,17 +90,17 @@
 	/** The source port number.
 	 */
-	uint16_t	source_port;
+	uint16_t source_port;
 	/** The destination port number.
 	 */
-	uint16_t	destination_port;
+	uint16_t destination_port;
 	/** The sequence number of the first data octet in this segment (except when SYN is present).
 	 *  If SYN is present the sequence number is the initial sequence number (ISN) and the first data octet is ISN+1.
 	 */
-	uint32_t	sequence_number;
+	uint32_t sequence_number;
 	/** If the ACK control bit is set this field contains the value of the next sequence number the sender of the segment is expecting to receive.
 	 *  Once a~connection is established this is always sent.
 	 *  @see acknowledge
 	 */
-	uint32_t	acknowledgement_number;
+	uint32_t acknowledgement_number;
 #ifdef ARCH_IS_BIG_ENDIAN
 	/** The number of 32~bit words in the TCP Header.
@@ -108,19 +108,19 @@
 	 *  The TCP header (even one including options) is an integral number of 32~bits long.
 	 */
-	uint8_t	header_length:4;
+	uint8_t header_length:4;
 	/** Four bits reserved for future use.
 	 *  Must be zero.
 	 */
-	uint8_t	reserved1:4;
+	uint8_t reserved1:4;
 #else
 	/** Four bits reserved for future use.
 	 *  Must be zero.
 	 */
-	uint8_t	reserved1:4;
+	uint8_t reserved1:4;
 	/** The number of 32~bit words in the TCP Header.
 	 *  This indicates where the data begins.
 	 *  The TCP header (even one including options) is an integral number of 32~bits long.
 	 */
-	uint8_t	header_length:4;
+	uint8_t header_length:4;
 #endif
 #ifdef ARCH_IS_BIG_ENDIAN
@@ -128,55 +128,55 @@
 	 *  Must be zero.
 	 */
-	uint8_t	reserved2:2;
+	uint8_t reserved2:2;
 	/** Urgent Pointer field significant.
 	 *  @see tcp_header:urgent_pointer
 	 */
-	uint8_t	urgent:1;
+	uint8_t urgent:1;
 	/** Acknowledgment field significant
 	 *  @see tcp_header:acknowledgement_number
 	 */
-	uint8_t	acknowledge:1;
+	uint8_t acknowledge:1;
 	/** Push function.
 	 */
-	uint8_t	push:1;
+	uint8_t push:1;
 	/** Reset the connection.
 	 */
-	uint8_t	reset:1;
+	uint8_t reset:1;
 	/** Synchronize the sequence numbers.
 	 */
-	uint8_t	synchronize:1;
+	uint8_t synchronize:1;
 	/** No more data from the sender.
 	 */
-	uint8_t	finalize:1;
+	uint8_t finalize:1;
 #else
 	/** No more data from the sender.
 	 */
-	uint8_t	finalize:1;
+	uint8_t finalize:1;
 	/** Synchronize the sequence numbers.
 	 */
-	uint8_t	synchronize:1;
+	uint8_t synchronize:1;
 	/** Reset the connection.
 	 */
-	uint8_t	reset:1;
+	uint8_t reset:1;
 	/** Push function.
 	 */
-	uint8_t	push:1;
+	uint8_t push:1;
 	/** Acknowledgment field significant.
 	 *  @see tcp_header:acknowledgement_number
 	 */
-	uint8_t	acknowledge:1;
+	uint8_t acknowledge:1;
 	/** Urgent Pointer field significant.
 	 *  @see tcp_header:urgent_pointer
 	 */
-	uint8_t	urgent:1;
+	uint8_t urgent:1;
 	/** Two bits reserved for future use.
 	 *  Must be zero.
 	 */
-	uint8_t	reserved2:2;
+	uint8_t reserved2:2;
 #endif
 	/** The number of data octets beginning with the one indicated in the acknowledgment field which the sender of this segment is willing to accept.
 	 *  @see tcp_header:acknowledge
 	 */
-	uint16_t	window;
+	uint16_t window;
 	/** The checksum field is the 16~bit one's complement of the one's complement sum of all 16~bit words in the header and text.
 	 *  If a~segment contains an odd number of header and text octets to be checksummed, the last octet is padded on the right with zeros to form a~16~bit word for checksum purposes.
@@ -188,5 +188,5 @@
 	 *  If the computed checksum is zero, it is transmitted as all ones (the equivalent in one's complement arithmetic).
 	 */
-	uint16_t	checksum;
+	uint16_t checksum;
 	/** This field communicates the current value of the urgent pointer as a~positive offset from the sequence number in this segment.
 	 *  The urgent pointer points to the sequence number of the octet following the urgent data.
@@ -194,5 +194,5 @@
 	 *  @see tcp_header:urgent
 	 */
-	uint16_t	urgent_pointer;
+	uint16_t urgent_pointer;
 } __attribute__ ((packed));
 
@@ -202,8 +202,8 @@
 	/** Option type.
 	 */
-	uint8_t		type;
+	uint8_t type;
 	/** Option length.
 	 */
-	uint8_t		length;
+	uint8_t length;
 };
 
@@ -215,8 +215,8 @@
 	 *  @see TCPOPT_MAX_SEGMENT_SIZE_LENGTH
 	 */
-	tcp_option_t	option;
+	tcp_option_t option;
 	/** Maximum segment size in bytes.
 	 */
-	uint16_t		max_segment_size;
+	uint16_t max_segment_size;
 } __attribute__ ((packed));
 
